section {
    box-sizing: border-box;
}

#adminSection .container {
    padding: 5%;
    max-width: 800px;
    margin: 0 auto 10px auto;
    background: white;
    box-shadow: 0 0 13px -5px grey;
    border-top: 1px solid #dadada;
    border-bottom: 1px solid #dadada;
}

#adminSection #adminPageText {
    resize: vertical;
    width: 100%;
    min-height: 50vh;
    max-width: 100%;
    border: 1px solid lightgray;
    border-radius: 5px;
    padding: 2%;
    box-sizing: border-box;
}

#adminSection input {
    max-width: 100%;
    display: block;
    border: 1px solid lightgray;
    border-radius: 5px;
    padding: 10px;
    box-sizing: border-box;
}

#adminSection input[type=text] {
    width: 100%;
}

#adminSection input[type=time],
#adminSection input[type=date] {
    display: inline-block;
}

#adminSection input[type=time] {
    border-left: none;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

#adminSection input[type=date] {
    border-right: none;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

#adminSection h2 {
    margin-bottom: 10px;
}

#adminSection .adminButton {
    border: 1px solid;
    padding: 10px 14px;
    font-size: 16px;
    border-radius: 10px;
    background: none;
}

#adminSection .adminButton:focus {
    outline: none;
}

#adminSection .adminButton:hover {
    opacity: .9;
}

#adminSection .adminButton.adminButtonWarn {
    border-color: red;
    color: red;
}

#adminSection .adminButton.adminButtonWarn:hover {
    box-shadow: 0 0 0 1px red;
}

#adminSection .adminButton.adminButtonWarn:active {
    opacity: 1;
    box-shadow: none;
}

#adminSection .adminButton.adminButtonSucc {
    border-color: #6495ED;
    background: #6495ED;
    color: white;
    margin-left: 15px;
}

#adminSection .adminButton.adminButtonSucc:hover {
    box-shadow: 0 0 0 1px #61DAFB;
}

#adminSection .adminButton.adminButtonSucc:active {
    opacity: 1;
}

.preview {
    padding: 30px 0;
    border-top: 1px solid #61DAFB;
    border-bottom: 1px solid #61DAFB;
}

